Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class ModuleDependency

    java.lang.Object
      org.gradle.plugins.ide.idea.model.ModuleDependency

All Implemented Interfaces:
  Dependency

    class ModuleDependency

Represents an orderEntry of type module in the iml XML.

Property Summary
`boolean` | `exported`
`String` | `name` The name of the module the module depends on.
`String` | `scope` The scope for this dependency.

Constructor Summary
`ModuleDependency(def name, def scope)`

Method Summary
`void` | `addToNode(Node parentNode)`
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### exported

    boolean exported

### name

    String name

  The name of the module the module depends on. Must not be null.

### scope

    String scope

  The scope for this dependency. If null the scope attribute is not added.

Constructor Detail

### ModuleDependency

    ModuleDependency(def name, def scope)

Method Detail

### addToNode

    void addToNode(Node parentNode)

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.10